# kyotocabinet::DirStream Class Reference

Directory stream abstraction. More...

`#include <kcfile.h>`

List of all members.

## Public Member Functions

| DirStream ()
| Default constructor.
| ~DirStream ()
| Destructor.
bool | open (const std::string &path)
| Open a directory.
bool | close ()
| Close the file.
bool | read (std::string *path)
| Read the next file in the directory.

## Detailed Description

Directory stream abstraction.

## Constructor & Destructor Documentation

kyotocabinet::DirStream::DirStream | ( |  | ) | `[explicit]`

Default constructor.

kyotocabinet::DirStream::~DirStream | ( |  | ) |

Destructor.

Note:
  If the file is not closed, it is closed implicitly.

## Member Function Documentation

bool kyotocabinet::DirStream::open | ( | const std::string & | path | ) |

Open a directory.

Parameters:

  | path | the path of a directory.

Returns:
  true on success, or false on failure.

bool kyotocabinet::DirStream::close | ( |  | ) |

Close the file.

Returns:
  true on success, or false on failure.

bool kyotocabinet::DirStream::read | ( | std::string * | path | ) |

Read the next file in the directory.

Parameters:

  | path | a string to store the file path.

Returns:
  true on success, or false on failure.